// ================= articleDivSichtbarMachen =================

function articleDivSichtbarMachen(ereignis) {
  // console.log(ereignis.currentTarget.nextElementSibling);

  // das schon sichtbare <figcaption> unsichtbar machen
  // somit ist immmer nur ein <figcaption> sichtbar
  const sichtbar = document.querySelector(".sichtbar");
  if (sichtbar) {
    sichtbar.classList.remove("sichtbar");
  }

  // <article><div> ist der "next Sibling" vom img.sternchen
  // in JS ist der 1. Eintrag [0]!
  ereignis.currentTarget.nextElementSibling.classList.add("sichtbar");
}

// Liste aller Sternchen-Elemente
const sternchen = document.querySelectorAll(".sternchen");
// console.log(sternchen);

// Clickt man auf eines der Sternchen, wird die Funktion "articleDivSichtbarMachen" gestartet
// damit wird Text und Bild unter dem Sternchen sichtbar
sternchen.forEach(function (ereignis) {
  ereignis.addEventListener("click", articleDivSichtbarMachen);
});

// =================== articleDivUnsichtbarmachen ===================

// klickt man auf das gerade sichtbare <figcaption>, wird dieses unsichtbar
// da es sich "innerhalb" der "hotspots" befindet,
// würde die function "articleDivSichtbarMachen" beim Klicken ebenfalls ausgeführt
// "ereignis.stopImmediatePropagation()" verhindert dies

function articleDivUnsichtbarmachen(ereignis) {
  ereignis.stopImmediatePropagation();
  ereignis.currentTarget.classList.remove("sichtbar");
}

// alle <div>-Elemente innerhalb von "<article>"
const articleDivs = document.querySelectorAll("article div");
// console.log(articleDivs);

// klickt man auf das gerade sichtbare <figcaption>, wird dieses unsichtbar
articleDivs.forEach(function (ereignis) {
  ereignis.addEventListener("click", articleDivUnsichtbarmachen);
});
